Index: squid/src/auth/ntlm/auth_ntlm.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/ntlm/auth_ntlm.c,v
retrieving revision 1.1.2.35
retrieving revision 1.1.2.36
diff -u -r1.1.2.35 -r1.1.2.36
--- squid/src/auth/ntlm/auth_ntlm.c	9 Feb 2001 17:40:56 -0000	1.1.2.35
+++ squid/src/auth/ntlm/auth_ntlm.c	10 Feb 2001 17:32:49 -0000	1.1.2.36
@@ -849,192 +788,180 @@
  */
 
 void
-authenticateDecodeNTLMAuth (auth_user_request_t * auth_user_request, const char *proxy_auth)
+authenticateDecodeNTLMAuth(auth_user_request_t * auth_user_request, const char *proxy_auth)
 {
-  dlink_node *node;
-  assert (auth_user_request->auth_user == NULL);
-  auth_user_request->auth_user = authenticateAuthUserNew ("ntlm");
-  auth_user_request->auth_user->auth_type = AUTH_NTLM;
-  auth_user_request->auth_user->scheme_data = memPoolAlloc (ntlm_user_pool);
-  auth_user_request->scheme_data = memPoolAlloc (ntlm_request_pool);
-  /* lock for the auth_user_request link */
-  authenticateAuthUserLock (auth_user_request->auth_user);
-  node = dlinkNodeNew ();
-  dlinkAdd (auth_user_request, node, &auth_user_request->auth_user->requests);
-
-  /* all we have to do is identify that it's NTLM - the helper does the rest */
-  debug (29, 9) ("authenticateDecodeNTLMAuth: NTLM authentication\n");
-  return;
+    dlink_node *node;
+    assert(auth_user_request->auth_user == NULL);
+    auth_user_request->auth_user = authenticateAuthUserNew("ntlm");
+    auth_user_request->auth_user->auth_type = AUTH_NTLM;
+    auth_user_request->auth_user->scheme_data = memPoolAlloc(ntlm_user_pool);
+    auth_user_request->scheme_data = memPoolAlloc(ntlm_request_pool);
+    /* lock for the auth_user_request link */
+    authenticateAuthUserLock(auth_user_request->auth_user);
+    node = dlinkNodeNew();
+    dlinkAdd(auth_user_request, node, &auth_user_request->auth_user->requests);
+
+    /* all we have to do is identify that it's NTLM - the helper does the rest */
+    debug(29, 9) ("authenticateDecodeNTLMAuth: NTLM authentication\n");
+    return;
 }
 
 int
-authenticateNTLMcmpUsername (ntlm_user_t * u1, ntlm_user_t * u2)
+authenticateNTLMcmpUsername(ntlm_user_t * u1, ntlm_user_t * u2)
 {
-  return strcmp (u1->username, u2->username);
+    return strcmp(u1->username, u2->username);
 }
 
 void
-authenticateProxyAuthCacheAddLink (const char *key, auth_user_t * auth_user)
+authenticateProxyAuthCacheAddLink(const char *key, auth_user_t * auth_user)
 {
-  auth_user_hash_pointer *proxy_auth_hash;
-  ntlm_user_t *ntlm_user;
-  proxy_auth_hash = memAllocate (MEM_AUTH_USER_HASH);
-  proxy_auth_hash->key = xstrdup (key);
-  proxy_auth_hash->auth_user = auth_user;
-  ntlm_user = auth_user->scheme_data;
-  dlinkAddTail (proxy_auth_hash, &proxy_auth_hash->link, &ntlm_user->proxy_auth_list);
-  hash_join (proxy_auth_cache, (hash_link *) proxy_auth_hash);
+    auth_user_hash_pointer *proxy_auth_hash;
+    ntlm_user_t *ntlm_user;
+    proxy_auth_hash = memAllocate(MEM_AUTH_USER_HASH);
+    proxy_auth_hash->key = xstrdup(key);
+    proxy_auth_hash->auth_user = auth_user;
+    ntlm_user = auth_user->scheme_data;
+    dlinkAddTail(proxy_auth_hash, &proxy_auth_hash->link, &ntlm_user->proxy_auth_list);
+    hash_join(proxy_auth_cache, (hash_link *) proxy_auth_hash);
 }
 
 
 int
-authNTLMAuthenticated (auth_user_request_t * auth_user_request)
+authNTLMAuthenticated(auth_user_request_t * auth_user_request)
 {
-  ntlm_request_t *ntlm_request = auth_user_request->scheme_data;
-  if (ntlm_request->auth_state == AUTHENTICATE_STATE_DONE)
-    return 1;
-  debug (29, 9) ("User not fully authenticated.\n");
-  return 0;
+    ntlm_request_t *ntlm_request = auth_user_request->scheme_data;
+    if (ntlm_request->auth_state == AUTHENTICATE_STATE_DONE)
+	return 1;
+    debug(29, 9) ("User not fully authenticated.\n");
+    return 0;
 }
 
 static void
-authenticateNTLMAuthenticateUser (auth_user_request_t * auth_user_request, request_t * request, ConnStateData * conn, http_hdr_type type)
+authenticateNTLMAuthenticateUser(auth_user_request_t * auth_user_request, request_t * request, ConnStateData * conn, http_hdr_type type)
 {
-  const char *proxy_auth;
-  auth_user_hash_pointer *usernamehash, *proxy_auth_hash = NULL;
-  auth_user_t *auth_user;
-  ntlm_request_t *ntlm_request;
-  ntlm_user_t *ntlm_user;
-  LOCAL_ARRAY (char, ntlmhash, NTLM_CHALLENGE_SZ * 2);
-  /* get header */
-  proxy_auth = httpHeaderGetStr (&request->header, type);
-
-  auth_user = auth_user_request->auth_user;
-  assert (auth_user);
-  assert (auth_user->auth_type == AUTH_NTLM);
-  assert (auth_user->scheme_data != NULL);
-  assert (auth_user_request->scheme_data != NULL);
-  ntlm_user = auth_user->scheme_data;
-  ntlm_request = auth_user_request->scheme_data;
-  switch (ntlm_request->auth_state)
-    {
+    const char *proxy_auth;
+    auth_user_hash_pointer *usernamehash, *proxy_auth_hash = NULL;
+    auth_user_t *auth_user;
+    ntlm_request_t *ntlm_request;
+    ntlm_user_t *ntlm_user;
+    LOCAL_ARRAY(char, ntlmhash, NTLM_CHALLENGE_SZ * 2);
+    /* get header */
+    proxy_auth = httpHeaderGetStr(&request->header, type);
+
+    auth_user = auth_user_request->auth_user;
+    assert(auth_user);
+    assert(auth_user->auth_type == AUTH_NTLM);
+    assert(auth_user->scheme_data != NULL);
+    assert(auth_user_request->scheme_data != NULL);
+    ntlm_user = auth_user->scheme_data;
+    ntlm_request = auth_user_request->scheme_data;
+    switch (ntlm_request->auth_state) {
     case AUTHENTICATE_STATE_NONE:
-      /* we've recieved a negotiate request. pass to a helper */
-      debug (29, 9) ("authenticateNTLMAuthenticateUser: auth state ntlm none. %s\n", proxy_auth);
-      if (auth_user->flags.credentials_ok == 2)
-	{
-	  /* the authentication fialed badly... */
-	  return;
-	}
-      ntlm_request->auth_state = AUTHENTICATE_STATE_NEGOTIATE;
-      ntlm_request->ntlmnegotiate = xstrndup (proxy_auth, NTLM_CHALLENGE_SZ + 5);
-      conn->auth_type = AUTH_NTLM;
-      conn->auth_user_request = auth_user_request;
-      /* and lock for the connection duration */
-      debug (29, 9) ("authenticateNTLMAuthenticateUser: Locking auth_user from the connection.\n");
-      authenticateAuthUserRequestLock (auth_user_request);
-      return;
-      break;
+	/* we've recieved a negotiate request. pass to a helper */
+	debug(29, 9) ("authenticateNTLMAuthenticateUser: auth state ntlm none. %s\n", proxy_auth);
+	if (auth_user->flags.credentials_ok == 2) {
+	    /* the authentication fialed badly... */
+	    return;
+	}
+	ntlm_request->auth_state = AUTHENTICATE_STATE_NEGOTIATE;
+	ntlm_request->ntlmnegotiate = xstrndup(proxy_auth, NTLM_CHALLENGE_SZ + 5);
+	conn->auth_type = AUTH_NTLM;
+	conn->auth_user_request = auth_user_request;
+	/* and lock for the connection duration */
+	debug(29, 9) ("authenticateNTLMAuthenticateUser: Locking auth_user from the connection.\n");
+	authenticateAuthUserRequestLock(auth_user_request);
+	return;
+	break;
     case AUTHENTICATE_STATE_NEGOTIATE:
-      ntlm_request->auth_state = AUTHENTICATE_STATE_CHALLENGE;
-      return;
-      break;
+	ntlm_request->auth_state = AUTHENTICATE_STATE_CHALLENGE;
+	return;
+	break;
     case AUTHENTICATE_STATE_CHALLENGE:
-      /* we should have recieved a NTLM challenge. pass it to the same 
-       * helper process */
-      debug (29, 9) ("authenticateNTLMAuthenticateUser: auth state challenge with header %s.\n", proxy_auth);
-      /* do a cache lookup here. If it matches it's a successful ntlm 
-       * challenge - release the helper and use the existing auth_user 
-       * details. */
-      if (strncmp ("NTLM ", proxy_auth, 5) == 0)
-	{
-	  ntlm_request->ntlmauthenticate = xstrdup (proxy_auth);
-	}
-      else
-	{
-	  fatal ("Incorrect scheme in auth header\n");
-	  /* TODO: more fault tolerance.. reset the auth scheme here */
-	}
-      /* cache entries have authenticateauthheaderchallengestring */
-      snprintf (ntlmhash, sizeof (ntlmhash) - 1, "%s%s", ntlm_request->ntlmauthenticate, ntlm_request->authchallenge);
-      /* see if we already know this user's authenticate */
-      debug (29, 9) ("aclMatchProxyAuth: cache lookup with key '%s'\n", ntlmhash);
-      assert (proxy_auth_cache != NULL);
-      proxy_auth_hash = hash_lookup (proxy_auth_cache, ntlmhash);
-      if (!proxy_auth_hash)
-	{			/* not in the hash table */
-	  debug (29, 4) ("authenticateNTLMAuthenticateUser: proxy-auth cache miss.\n");
-	  ntlm_request->auth_state = AUTHENTICATE_STATE_RESPONSE;
-	  /* verify with the ntlm helper */
+	/* we should have recieved a NTLM challenge. pass it to the same 
+	 * helper process */
+	debug(29, 9) ("authenticateNTLMAuthenticateUser: auth state challenge with header %s.\n", proxy_auth);
+	/* do a cache lookup here. If it matches it's a successful ntlm 
+	 * challenge - release the helper and use the existing auth_user 
+	 * details. */
+	if (strncmp("NTLM ", proxy_auth, 5) == 0) {
+	    ntlm_request->ntlmauthenticate = xstrdup(proxy_auth);
+	} else {
+	    fatal("Incorrect scheme in auth header\n");
+	    /* TODO: more fault tolerance.. reset the auth scheme here */
+	}
+	/* cache entries have authenticateauthheaderchallengestring */
+	snprintf(ntlmhash, sizeof(ntlmhash) - 1, "%s%s", ntlm_request->ntlmauthenticate, ntlm_request->authchallenge);
+	/* see if we already know this user's authenticate */
+	debug(29, 9) ("aclMatchProxyAuth: cache lookup with key '%s'\n", ntlmhash);
+	assert(proxy_auth_cache != NULL);
+	proxy_auth_hash = hash_lookup(proxy_auth_cache, ntlmhash);
+	if (!proxy_auth_hash) {	/* not in the hash table */
+	    debug(29, 4) ("authenticateNTLMAuthenticateUser: proxy-auth cache miss.\n");
+	    ntlm_request->auth_state = AUTHENTICATE_STATE_RESPONSE;
+	    /* verify with the ntlm helper */
+	} else {
+	    debug(29, 4) ("authenticateNTLMAuthenticateUser: ntlm proxy-auth cache hit\n");
+	    /* throw away the temporary entry */
+	    authenticateNTLMReleasehelper(auth_user_request);
+	    authenticateAuthUserMerge(auth_user, proxy_auth_hash->auth_user);
+	    auth_user = proxy_auth_hash->auth_user;
+	    auth_user_request->auth_user = auth_user;
+	    ntlm_request->auth_state = AUTHENTICATE_STATE_DONE;
+	    /* we found one */
+	    debug(29, 9) ("found matching cache entry\n");
+	    assert(auth_user->auth_type == AUTH_NTLM);
+	    /* get the existing entries details */
+	    ntlm_user = auth_user->scheme_data;
+	    debug(29, 9) ("Username to be used is %s\n", ntlm_user->username);
+	    auth_user->flags.credentials_ok = 1;	/* authenticated ok */
+	    /* on ntlm auth we do not unlock the auth_user until the
+	     * connection is dropped. Thank MS for this quirk */
+	    auth_user->expiretime = current_time.tv_sec;
+	    auth_user->ip_expiretime = squid_curtime;
 	}
-      else
-	{
-	  debug (29, 4) ("authenticateNTLMAuthenticateUser: ntlm proxy-auth cache hit\n");
-	  /* throw away the temporary entry */
-	  authenticateNTLMReleasehelper (auth_user_request);
-	  authenticateAuthUserMerge (auth_user, proxy_auth_hash->auth_user);
-	  auth_user = proxy_auth_hash->auth_user;
-	  auth_user_request->auth_user = auth_user;
-	  ntlm_request->auth_state = AUTHENTICATE_STATE_DONE;
-	  /* we found one */
-	  debug (29, 9) ("found matching cache entry\n");
-	  assert (auth_user->auth_type == AUTH_NTLM);
-	  /* get the existing entries details */
-	  ntlm_user = auth_user->scheme_data;
-	  debug (29, 9) ("Username to be used is %s\n", ntlm_user->username);
-	  auth_user->flags.credentials_ok = 1;	/* authenticated ok */
-	  /* on ntlm auth we do not unlock the auth_user until the
-	   * connection is dropped. Thank MS for this quirk */
-	  auth_user->expiretime = current_time.tv_sec;
-	  auth_user->ip_expiretime = squid_curtime;
-	}
-      return;
-      break;
+	return;
+	break;
     case AUTHENTICATE_STATE_RESPONSE:
-      /* auth-challenge pair cache miss. We've just got the response */
-      /*add to cache and let them through */
-      ntlm_request->auth_state = AUTHENTICATE_STATE_DONE;
-      /* this connection is authenticated */
-      debug (29, 4) ("authenticated\nch    %s\nauth     %s\nauthuser %s\n", ntlm_request->authchallenge, ntlm_request->ntlmauthenticate, ntlm_user->username);
-      /* cache entries have authenticateauthheaderchallengestring */
-      snprintf (ntlmhash, sizeof (ntlmhash) - 1, "%s%s", ntlm_request->ntlmauthenticate, ntlm_request->authchallenge);
-      /* see if this is an existing user with a different proxy_auth 
-       * string */
-      if ((usernamehash = hash_lookup (proxy_auth_username_cache, ntlm_user->username)))
-	{
-	  while ((usernamehash->auth_user->auth_type != auth_user->auth_type) && (usernamehash->next) && !authenticateNTLMcmpUsername (usernamehash->auth_user->scheme_data, ntlm_user))
-	    usernamehash = usernamehash->next;
-	  if (usernamehash->auth_user->auth_type == auth_user->auth_type)
-	    {
-	      /*
-	       * add another link from the new proxy_auth to the
-	       * auth_user structure and update the information */
-	      assert (proxy_auth_hash == NULL);
-	      authenticateProxyAuthCacheAddLink (ntlmhash, usernamehash->auth_user);
-	      /* we can't seamlessly recheck the username due to the 
-	       * challenge nature of the protocol. Just free the 
-	       * temporary auth_user */
-	      authenticateAuthUserMerge (auth_user, usernamehash->auth_user);
-	      auth_user = usernamehash->auth_user;
-	      auth_user_request->auth_user = auth_user;
+	/* auth-challenge pair cache miss. We've just got the response */
+	/*add to cache and let them through */
+	ntlm_request->auth_state = AUTHENTICATE_STATE_DONE;
+	/* this connection is authenticated */
+	debug(29, 4) ("authenticated\nch    %s\nauth     %s\nauthuser %s\n", ntlm_request->authchallenge, ntlm_request->ntlmauthenticate, ntlm_user->username);
+	/* cache entries have authenticateauthheaderchallengestring */
+	snprintf(ntlmhash, sizeof(ntlmhash) - 1, "%s%s", ntlm_request->ntlmauthenticate, ntlm_request->authchallenge);
+	/* see if this is an existing user with a different proxy_auth 
+	 * string */
+	if ((usernamehash = hash_lookup(proxy_auth_username_cache, ntlm_user->username))) {
+	    while ((usernamehash->auth_user->auth_type != auth_user->auth_type) && (usernamehash->next) && !authenticateNTLMcmpUsername(usernamehash->auth_user->scheme_data, ntlm_user))
+		usernamehash = usernamehash->next;
+	    if (usernamehash->auth_user->auth_type == auth_user->auth_type) {
+		/*
+		 * add another link from the new proxy_auth to the
+		 * auth_user structure and update the information */
+		assert(proxy_auth_hash == NULL);
+		authenticateProxyAuthCacheAddLink(ntlmhash, usernamehash->auth_user);
+		/* we can't seamlessly recheck the username due to the 
+		 * challenge nature of the protocol. Just free the 
+		 * temporary auth_user */
+		authenticateAuthUserMerge(auth_user, usernamehash->auth_user);
+		auth_user = usernamehash->auth_user;
+		auth_user_request->auth_user = auth_user;
 	    }
-	}
-      else
-	{
-	  /* store user in hash's */
-	  authenticateUserNameCacheAdd (auth_user);
-	  authenticateProxyAuthCacheAddLink (ntlmhash, auth_user);
-	}
-      /* set these to now because this is either a new login from an 
-       * existing user or a new user */
-      auth_user->expiretime = current_time.tv_sec;
-      auth_user->ip_expiretime = squid_curtime;
-      auth_user->flags.credentials_ok = 1;	/*authenticated ok */
-      return;
-      break;
+	} else {
+	    /* store user in hash's */
+	    authenticateUserNameCacheAdd(auth_user);
+	    authenticateProxyAuthCacheAddLink(ntlmhash, auth_user);
+	}
+	/* set these to now because this is either a new login from an 
+	 * existing user or a new user */
+	auth_user->expiretime = current_time.tv_sec;
+	auth_user->ip_expiretime = squid_curtime;
+	auth_user->flags.credentials_ok = 1;	/*authenticated ok */
+	return;
+	break;
     case AUTHENTICATE_STATE_DONE:
-      fatal ("authenticateNTLMAuthenticateUser: unexpect auth state DONE! Report a bug to the squid developers.\n");
+	fatal("authenticateNTLMAuthenticateUser: unexpect auth state DONE! Report a bug to the squid developers.\n");
     }
 
-  return;
+    return;
 }
Index: squid/src/auth/ntlm/helpers/NTLMSSP/libntlmssp.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/ntlm/helpers/NTLMSSP/Attic/libntlmssp.c,v
retrieving revision 1.1.2.5
retrieving revision 1.1.2.6
diff -u -r1.1.2.5 -r1.1.2.6
--- squid/src/auth/ntlm/helpers/NTLMSSP/libntlmssp.c	9 Feb 2001 14:36:06 -0000	1.1.2.5
+++ squid/src/auth/ntlm/helpers/NTLMSSP/libntlmssp.c	10 Feb 2001 17:32:49 -0000	1.1.2.6
@@ -29,36 +29,37 @@
 #endif
 
 /* these are part of rfcnb-priv.h and smblib-priv.h */
-extern int SMB_Get_Error_Msg (int msg, char *msgbuf, int len);
-extern int SMB_Get_Last_Error ();
-extern int RFCNB_Get_Last_Errno ();
+extern int SMB_Get_Error_Msg(int msg, char *msgbuf, int len);
+extern int SMB_Get_Last_Error();
+extern int RFCNB_Get_Last_Errno();
 
 #include "smblib-priv.h"	/* for SMB_Handle_Type */
 
 /* a few forward-declarations. Hackish, but I don't care right now */
-SMB_Handle_Type SMB_Connect_Server (SMB_Handle_Type Con_Handle, char *server, char *NTdomain);
+SMB_Handle_Type SMB_Connect_Server(SMB_Handle_Type Con_Handle, char *server, char *NTdomain);
 
 /* this one is reallllly haackiish. We really should be using anything from smblib-priv.h
  */
-static char *SMB_Prots[] = { "PC NETWORK PROGRAM 1.0",
-  "MICROSOFT NETWORKS 1.03",
-  "MICROSOFT NETWORKS 3.0",
-  "DOS LANMAN1.0",
-  "LANMAN1.0",
-  "DOS LM1.2X002",
-  "LM1.2X002",
-  "DOS LANMAN2.1",
-  "LANMAN2.1",
-  "Samba",
-  "NT LM 0.12",
-  "NT LANMAN 1.0",
-  NULL
+static char *SMB_Prots[] =
+{"PC NETWORK PROGRAM 1.0",
+    "MICROSOFT NETWORKS 1.03",
+    "MICROSOFT NETWORKS 3.0",
+    "DOS LANMAN1.0",
+    "LANMAN1.0",
+    "DOS LM1.2X002",
+    "LM1.2X002",
+    "DOS LANMAN2.1",
+    "LANMAN2.1",
+    "Samba",
+    "NT LM 0.12",
+    "NT LANMAN 1.0",
+    NULL
 };
 
 #if 0
-int SMB_Discon (SMB_Handle_Type Con_Handle, BOOL KeepHandle);
-int SMB_Negotiate (void *Con_Handle, char *Prots[]);
-int SMB_Logon_Server (SMB_Handle_Type Con_Handle, char *UserName, char *PassWord, char *Domain, int precrypted);
+int SMB_Discon(SMB_Handle_Type Con_Handle, BOOL KeepHandle);
+int SMB_Negotiate(void *Con_Handle, char *Prots[]);
+int SMB_Logon_Server(SMB_Handle_Type Con_Handle, char *UserName, char *PassWord, char *Domain, int precrypted);
 #endif
 
 #ifdef DEBUG
@@ -74,80 +75,75 @@
 /* Disconnects from the DC. A reconnection will be done upon the next request
  */
 void
-dc_disconnect ()
+dc_disconnect()
 {
-  if (handle != NULL)
-    SMB_Discon (handle, 0);
-  handle = NULL;
+    if (handle != NULL)
+	SMB_Discon(handle, 0);
+    handle = NULL;
 }
 
 int
-connectedp ()
+connectedp()
 {
-  return (handle != NULL);
+    return (handle != NULL);
 }
 
 
 /* Tries to connect to a DC. Returns 0 on failure, 1 on OK */
 int
-is_dc_ok (char *domain, char *domain_controller)
+is_dc_ok(char *domain, char *domain_controller)
 {
-  SMB_Handle_Type h = SMB_Connect_Server (NULL, domain_controller, domain);
-  if (h == NULL)
-    return 0;
-  SMB_Discon (h, 0);
-  return 1;
+    SMB_Handle_Type h = SMB_Connect_Server(NULL, domain_controller, domain);
+    if (h == NULL)
+	return 0;
+    SMB_Discon(h, 0);
+    return 1;
 }
 
 
 /* returns 0 on success, > 0 on failure */
 static int
-init_challenge (char *domain, char *domain_controller)
+init_challenge(char *domain, char *domain_controller)
 {
-  int smberr;
-  char errstr[100];
+    int smberr;
+    char errstr[100];
+
+    if (handle != NULL) {
+	return 0;
+    }
+    debug("Connecting to server %s domain %s\n", domain_controller, domain);
+    handle = SMB_Connect_Server(NULL, domain_controller, domain);
+    smberr = SMB_Get_Last_Error();
+    SMB_Get_Error_Msg(smberr, errstr, 100);
 
-  if (handle != NULL)
-    {
-      return 0;
-    }
-  debug ("Connecting to server %s domain %s\n", domain_controller, domain);
-  handle = SMB_Connect_Server (NULL, domain_controller, domain);
-  smberr = SMB_Get_Last_Error ();
-  SMB_Get_Error_Msg (smberr, errstr, 100);
-
-
-  if (handle == NULL)
-    {				/* couldn't connect */
-      debug ("Couldn't connect to SMB Server. Error:%s\n", errstr);
-      return 1;
-    }
-  if (SMB_Negotiate (handle, SMB_Prots) < 0)
-    {				/* An error */
-      debug ("Error negotiating protocol with SMB Server\n");
-      SMB_Discon (handle, 0);
-      handle = NULL;
-      return 2;
-    }
-  if (handle->Security == 0)
-    {				/* share-level security, unuseable */
-      debug ("SMB Server uses share-level security .. we need user sercurity.\n");
-      SMB_Discon (handle, 0);
-      handle = NULL;
-      return 3;
+
+    if (handle == NULL) {	/* couldn't connect */
+	debug("Couldn't connect to SMB Server. Error:%s\n", errstr);
+	return 1;
+    }
+    if (SMB_Negotiate(handle, SMB_Prots) < 0) {		/* An error */
+	debug("Error negotiating protocol with SMB Server\n");
+	SMB_Discon(handle, 0);
+	handle = NULL;
+	return 2;
+    }
+    if (handle->Security == 0) {	/* share-level security, unuseable */
+	debug("SMB Server uses share-level security .. we need user sercurity.\n");
+	SMB_Discon(handle, 0);
+	handle = NULL;
+	return 3;
     }
-  memcpy (challenge, handle->Encrypt_Key, NONCE_LEN);
-  return 0;
+    memcpy(challenge, handle->Encrypt_Key, NONCE_LEN);
+    return 0;
 }
 
 const char *
-make_challenge (char *domain, char *domain_controller)
+make_challenge(char *domain, char *domain_controller)
 {
-  if (init_challenge (domain, domain_controller) > 0)
-    {
-      return NULL;
+    if (init_challenge(domain, domain_controller) > 0) {
+	return NULL;
     }
-  return ntlm_make_challenge (domain, domain_controller, challenge, NONCE_LEN);
+    return ntlm_make_challenge(domain, domain_controller, challenge, NONCE_LEN);
 }
 
 #define min(A,B) (A<B?A:B)
@@ -161,21 +157,21 @@
  * WARNING! The result is static storage, shared with ntlm_check_auth
  */
 char *
-fetch_credentials (ntlm_authenticate * auth, int auth_length)
+fetch_credentials(ntlm_authenticate * auth, int auth_length)
 {
-  char *p = credentials;
-  lstring tmp;
-  tmp = ntlm_fetch_string ((char *) auth, auth_length, &auth->domain);
-  if (tmp.str == NULL)
-    return NULL;
-  memcpy (p, tmp.str, tmp.l);
-  p += tmp.l;
-  *p++ = '\\';
-  tmp = ntlm_fetch_string ((char *) auth, auth_length, &auth->user);
-  if (tmp.str == NULL)
-    return NULL;
-  *(p + tmp.l) = '\0';
-  return credentials;
+    char *p = credentials;
+    lstring tmp;
+    tmp = ntlm_fetch_string((char *) auth, auth_length, &auth->domain);
+    if (tmp.str == NULL)
+	return NULL;
+    memcpy(p, tmp.str, tmp.l);
+    p += tmp.l;
+    *p++ = '\\';
+    tmp = ntlm_fetch_string((char *) auth, auth_length, &auth->user);
+    if (tmp.str == NULL)
+	return NULL;
+    *(p + tmp.l) = '\0';
+    return credentials;
 }
 
 /* returns NULL on failure, or a pointer to
@@ -185,66 +181,61 @@
  * codes defined in ntlm.h
  */
 char *
-ntlm_check_auth (ntlm_authenticate * auth, int auth_length)
+ntlm_check_auth(ntlm_authenticate * auth, int auth_length)
 {
-  int rv, retries = 0;
-  char pass[25];
-  char *domain = credentials;
-  char *user;
-  lstring tmp;
-
-  if (handle == NULL)
-    {				/*if null we aren't connected, but it shouldn't happen */
-      debug ("Weird, we've been disconnected\n");
-      ntlm_errno = NTLM_NOT_CONNECTED;
-      return NULL;
-    }
-  /* Authenticating against the NT response doesn't seem to work... */
-  tmp = ntlm_fetch_string ((char *) auth, auth_length, &auth->lmresponse);
-  if (tmp.str == NULL)
-    {
-      fprintf (stderr, "No auth at all. Returning no-auth\n");
-      ntlm_errno = NTLM_LOGON_ERROR;
-      return NULL;
+    int rv, retries = 0;
+    char pass[25];
+    char *domain = credentials;
+    char *user;
+    lstring tmp;
+
+    if (handle == NULL) {	/*if null we aren't connected, but it shouldn't happen */
+	debug("Weird, we've been disconnected\n");
+	ntlm_errno = NTLM_NOT_CONNECTED;
+	return NULL;
+    }
+    /* Authenticating against the NT response doesn't seem to work... */
+    tmp = ntlm_fetch_string((char *) auth, auth_length, &auth->lmresponse);
+    if (tmp.str == NULL) {
+	fprintf(stderr, "No auth at all. Returning no-auth\n");
+	ntlm_errno = NTLM_LOGON_ERROR;
+	return NULL;
     }
-  memcpy (pass, tmp.str, tmp.l);
-  pass[25] = '\0';
+    memcpy(pass, tmp.str, tmp.l);
+    pass[25] = '\0';
 
 /*      debug("fetching domain\n"); */
-  tmp = ntlm_fetch_string ((char *) auth, auth_length, &auth->domain);
-  if (tmp.str == NULL)
-    {
-      debug ("No domain supplied. Returning no-auth\n");
-      ntlm_errno = NTLM_LOGON_ERROR;
-      return NULL;
-    }
-  memcpy (domain, tmp.str, tmp.l);
-  user = domain + tmp.l;
-  *user++ = '\0';
+    tmp = ntlm_fetch_string((char *) auth, auth_length, &auth->domain);
+    if (tmp.str == NULL) {
+	debug("No domain supplied. Returning no-auth\n");
+	ntlm_errno = NTLM_LOGON_ERROR;
+	return NULL;
+    }
+    memcpy(domain, tmp.str, tmp.l);
+    user = domain + tmp.l;
+    *user++ = '\0';
 
 /*      debug("fetching user name\n"); */
-  tmp = ntlm_fetch_string ((char *) auth, auth_length, &auth->user);
-  if (tmp.str == NULL)
-    {
-      debug ("No username supplied. Returning no-auth\n");
-      ntlm_errno = NTLM_LOGON_ERROR;
-      return NULL;
-    }
-  memcpy (user, tmp.str, tmp.l);
-  *(user + tmp.l) = '\0';
-
-  debug ("checking domain: '%s', user: '%s', pass='%s'\n", domain, user, pass);
-
-  rv = SMB_Logon_Server (handle, user, pass, domain, 1);
-  debug ("Login attempt had result %d\n", rv);
-
-  if (rv != NTV_NO_ERROR)
-    {				/* failed */
-      ntlm_errno = rv;
-      return NULL;
+    tmp = ntlm_fetch_string((char *) auth, auth_length, &auth->user);
+    if (tmp.str == NULL) {
+	debug("No username supplied. Returning no-auth\n");
+	ntlm_errno = NTLM_LOGON_ERROR;
+	return NULL;
+    }
+    memcpy(user, tmp.str, tmp.l);
+    *(user + tmp.l) = '\0';
+
+    debug("checking domain: '%s', user: '%s', pass='%s'\n", domain, user, pass);
+
+    rv = SMB_Logon_Server(handle, user, pass, domain, 1);
+    debug("Login attempt had result %d\n", rv);
+
+    if (rv != NTV_NO_ERROR) {	/* failed */
+	ntlm_errno = rv;
+	return NULL;
     }
-  *(user - 1) = '\\';		/* hack. Performing, but ugly. */
+    *(user - 1) = '\\';		/* hack. Performing, but ugly. */
 
-  debug ("credentials: %s\n", credentials);
-  return credentials;
+    debug("credentials: %s\n", credentials);
+    return credentials;
 }
